Обновления 3-го уровня в Линукс Минт.

Вы не знаете в какой раздел задать вопрос? Ищите ответы на популярные вопросы? Тогда вам сюда!
Sergei K.
Сообщения: 47
Зарегистрирован: 10 дек 2016, 00:59
Благодарил (а): 15 раз
Поблагодарили: 2 раза
Контактная информация:

Обновления 3-го уровня в Линукс Минт.

Сообщение #1 Sergei K. » 15 мар 2017, 14:53

Добрый день. Был бы благодарен за разъяснения относительно установки / не установки обновлений 3-го уровня.
Прочитал, что новичкам в Линуксе рекомендуется устанавливать только обновления 1 и 2 уровня, то есть по принципу "Ничего не сломать". Так и делаю. Примерно с начала декабря 2016 у меня был установлен Linux Mint 18 Mate, неделю назад обновил до версии 18.1. Использую ноутбук под простые задачи:
- электронная почта,
- просмотр сайтов в Интернете,
- Скайп
- сохранение и просмотр фотографий,
- иногда создание или сохранение обычных текстовых документов (LibreOffice по умолчанию), иногда в jpg и pdf, а также их сканирование и распечатка,
- очень редко просмотр кино из Интернета.

У меня ноутбук Asus N550JK, прицессор i7-4710HQ, ОЗУ 8 ГБ, видеокарта NVIDIA GeForce GTX 850м. Вроде всё работает нормально, но иногда сомнения появляются, правильно ли поступаю, что только 1 и 2 уровень устанавливаю. Ведь в 3-ем уровне много обновлений по безопасности. Может хотя бы их нужно ставить? Или и без этого все в полном порядке?

Аватара пользователя
di_mok
Сообщения: 1427
Зарегистрирован: 27 авг 2016, 19:06
Решено: 10
Откуда: Арзамас
Благодарил (а): 404 раза
Поблагодарили: 214 раз
Контактная информация:

Обновления 3-го уровня в Линукс Минт.

Сообщение #2 di_mok » 15 мар 2017, 15:04

3й уровень входит в как-бе в дефолтную политику обновлений и считается безопасными. Я лично обновляю, ни чего не изломал.

Если провести аналогию с Ubuntu, так там вообще всё подряд прилетает. И вроде ещё ни кто не умер
Настоящая водка — это не пьянство, а ключ к своей совести, с нее-то и начинается настоящая мудрость. (c)

Sergei K.
Сообщения: 47
Зарегистрирован: 10 дек 2016, 00:59
Благодарил (а): 15 раз
Поблагодарили: 2 раза
Контактная информация:

Обновления 3-го уровня в Линукс Минт.

Сообщение #3 Sergei K. » 15 мар 2017, 15:22

di_mok писал(а):Источник цитаты 3й уровень входит в как-бе в дефолтную политику обновлений и считается безопасными. Я лично обновляю, ни чего не изломал.

Спасибо за ответ. Меня смущало то, что написано там примерно так: да, обновления 3-го уровня считаются безопасными, но создателями Линукса они не проверены.

Аватара пользователя
Chocobo
Сообщения: 3094
Зарегистрирован: 27 авг 2016, 22:57
Решено: 72
Откуда: НН
Благодарил (а): 301 раз
Поблагодарили: 832 раза
Контактная информация:

Обновления 3-го уровня в Линукс Минт.

Сообщение #4 Chocobo » 15 мар 2017, 15:23

Sergei K., не проверены мейнтейнерами минта, но идут уже проверенными от апстрима убунты.
Как-то вот так. В общем верить можно)
Изображение

Sergei K.
Сообщения: 47
Зарегистрирован: 10 дек 2016, 00:59
Благодарил (а): 15 раз
Поблагодарили: 2 раза
Контактная информация:

Обновления 3-го уровня в Линукс Минт.

Сообщение #5 Sergei K. » 15 мар 2017, 15:32

Chocobo писал(а):Источник цитаты не проверены мейнтейнерами минта, но идут уже проверенными от апстрима убунты.
Как-то вот так. В общем верить можно)

Спасибо за ответ. di_mok то же самое сказал. Сейчас обновлюсь.

Аватара пользователя
Obamacyborg1975
Сообщения: 108
Зарегистрирован: 27 сен 2016, 08:19
Благодарил (а): 19 раз
Поблагодарили: 20 раз
Контактная информация:

Обновления 3-го уровня в Линукс Минт.

Сообщение #6 Obamacyborg1975 » 15 мар 2017, 15:34

По дефолту, при обновлении, установлены галочки напротив 1-3 уровней. Проблем не должно возникнуть при их установке. Обновления уровней 4 и 5 могут быть проблематичные. Но, как известно, Linux Mint известен свой параноидальным поведением (что касается обновлений). Например, то, что у Linux Mint 4 и 5 уровней, в Ubuntu устанавливается "автоматом". В Linux Mint политика такова-каждый сам решает какая система ему нужна-стабильная, но с риском быть уязвимой (я про обновы безопасности), или пропаченная, с последними обновлениями, но с риском поймать багг. Так что, тут нету универсального решения. Лично я устанавливаю все обновы 1-3 уровней, забив на другие уровни.

Sergei K.
Сообщения: 47
Зарегистрирован: 10 дек 2016, 00:59
Благодарил (а): 15 раз
Поблагодарили: 2 раза
Контактная информация:

Обновления 3-го уровня в Линукс Минт.

Сообщение #7 Sergei K. » 15 мар 2017, 15:55

Obamacyborg1975 писал(а):Источник цитаты Лично я устанавливаю все обновы 1-3 уровней, забив на другие уровни.

Спасибо за ответ. Уже обновился, действительно всё нормально. Как и Минт, я считаю, что немного "здоровой паранойи" не помешает. Тем более, что в отличие от спецов я уже ничего не смогу исправить в случае поломки. Придется у кому-то обращаться.

Аватара пользователя
LinDeMin
Сообщения: 51
Зарегистрирован: 04 сен 2016, 20:37
Откуда: в этом я не оригинален
Поблагодарили: 7 раз
Контактная информация:

Обновления 3-го уровня в Линукс Минт.

Сообщение #8 LinDeMin » 15 мар 2017, 15:59

Грубо говоря, так: 1-2, это системные обновления и обновления софта. А уровень три - это, как правило, "заплатки" на недосмотр программеров. Я не стал бы ими пренебрегать. И не пренебрегаю. :smile:
А "сломать" Минт... тут нужно ох каким силачом быть. Даже моя жена не в состоянии его доконать :-D
Suum cuique

Аватара пользователя
symon2014
Сообщения: 942
Зарегистрирован: 29 авг 2016, 05:17
Решено: 14
Откуда: Феодосия
Благодарил (а): 32 раза
Поблагодарили: 244 раза
Контактная информация:

Обновления 3-го уровня в Линукс Минт.

Сообщение #9 symon2014 » 15 мар 2017, 16:23

А я всегда с одобрением поглядываю на 5 уровень, ведь только оттуда приходят новые ядра.
Категорически не одобрям только "proposed". :smile:










к
Изображение :sry:
Debian (8.8) , LMDE2 , LM (18.2 Mate , 17.3 Xfce) , Antergos 17.2 .

Аватара пользователя
Nik-Neim
Сообщения: 192
Зарегистрирован: 04 дек 2016, 11:52
Решено: 1
Откуда: Где-то в Подмосковье
Благодарил (а): 203 раза
Поблагодарили: 69 раз
Контактная информация:

Обновления 3-го уровня в Линукс Минт.

Сообщение #10 Nik-Neim » 15 мар 2017, 17:27

Sergei K. писал(а):Источник цитаты Тем более, что в отличие от спецов я уже ничего не смогу исправить в случае поломки. Придется у кому-то обращаться.

Можно и не обращаться ни к кому, предварительно установив программку типа Systemback, ну, или аналог.
Снимок экрана_2017-03-15_17-23-29.png
Изображение

Sergei K.
Сообщения: 47
Зарегистрирован: 10 дек 2016, 00:59
Благодарил (а): 15 раз
Поблагодарили: 2 раза
Контактная информация:

Обновления 3-го уровня в Линукс Минт.

Сообщение #11 Sergei K. » 17 мар 2017, 00:57

Всем спасибо за советы.

Unborn
Сообщения: 346
Зарегистрирован: 03 сен 2016, 13:36
Решено: 7
Благодарил (а): 1 раз
Поблагодарили: 44 раза
Контактная информация:

Обновления 3-го уровня в Линукс Минт.

Сообщение #12 Unborn » 18 мар 2017, 09:55

Sergei K. писал(а):Источник цитаты У меня ноутбук Asus N550JK, прицессор i7-4710HQ, ОЗУ 8 ГБ, видеокарта NVIDIA GeForce GTX 850м.

На такой железке прямо не грех собрать ядро под неё.
symon2014 писал(а):Источник цитаты А я всегда с одобрением поглядываю на 5 уровень, ведь только оттуда приходят новые ядра.

А на твоём металлоломе вообще не нужно ядро обновлять. Если от дури или по пьянкке.

Аватара пользователя
symon2014
Сообщения: 942
Зарегистрирован: 29 авг 2016, 05:17
Решено: 14
Откуда: Феодосия
Благодарил (а): 32 раза
Поблагодарили: 244 раза
Контактная информация:

Обновления 3-го уровня в Линукс Минт.

Сообщение #13 symon2014 » 18 мар 2017, 13:30

 ! Сообщение из: symon2014
Unborn, Во избежание комментариев не в тему Вам делается предупреждение . Пока устное.
Изображение :sry:
Debian (8.8) , LMDE2 , LM (18.2 Mate , 17.3 Xfce) , Antergos 17.2 .

Unborn
Сообщения: 346
Зарегистрирован: 03 сен 2016, 13:36
Решено: 7
Благодарил (а): 1 раз
Поблагодарили: 44 раза
Контактная информация:

Обновления 3-го уровня в Линукс Минт.

Сообщение #14 Unborn » 18 мар 2017, 16:47

symon2014, Я, что то не не так сказал? Надо быть чудаком на на букву М, чтобы советовать людям залезть на пальму.
И, кстати, ты ты удалил свой глупый пост с дебианского форума?

dworg1
Сообщения: 7
Зарегистрирован: 22 фев 2017, 16:53
Поблагодарили: 1 раз
Контактная информация:

Обновления 3-го уровня в Линукс Минт.

Сообщение #15 dworg1 » 18 мар 2017, 18:50

Sergei K. писал(а):Источник цитаты Может хотя бы их нужно ставить? Или и без этого все в полном порядке?


Бэкапирую папку Home и ставлю все и всегда. Пока никаких проблем :)

Sergei K.
Сообщения: 47
Зарегистрирован: 10 дек 2016, 00:59
Благодарил (а): 15 раз
Поблагодарили: 2 раза
Контактная информация:

Обновления 3-го уровня в Линукс Минт.

Сообщение #16 Sergei K. » 18 мар 2017, 18:59

symon2014 писал(а):Источник цитаты А я всегда с одобрением поглядываю на 5 уровень, ведь только оттуда приходят новые ядра.

Как говорится, со всем желанием и "белой завистью", но такие варианты не для меня. Я ведь обычный пользователь компьютера.

Аватара пользователя
colonel
Сообщения: 267
Зарегистрирован: 18 дек 2016, 12:08
Решено: 10
Благодарил (а): 13 раз
Поблагодарили: 80 раз
Контактная информация:

Обновления 3-го уровня в Линукс Минт.

Сообщение #17 colonel » 18 мар 2017, 19:01

А мне вот интересно как могут обновления безопасности быть опасными обновлениями :-D
или наоборот ли
как могут опасные обновления быть (или называться) обновлениями безопасности
updating.png
Последний раз редактировалось colonel 18 мар 2017, 19:05, всего редактировалось 2 раза.
"Не ты выбираешь Linux, а Linux выбирает тебя"
(с)Себастьян Перейра, торговец чёрным деревом

dworg1
Сообщения: 7
Зарегистрирован: 22 фев 2017, 16:53
Поблагодарили: 1 раз
Контактная информация:

Обновления 3-го уровня в Линукс Минт.

Сообщение #18 dworg1 » 18 мар 2017, 19:02

Sergei K. писал(а):Как говорится, со всем желанием и "белой завистью", но такие варианты не для меня. Я ведь обычный пользователь компьютера.


Ну так патчи выпускаются для устранения проблем, а не их создания :)

Аватара пользователя
Chocobo
Сообщения: 3094
Зарегистрирован: 27 авг 2016, 22:57
Решено: 72
Откуда: НН
Благодарил (а): 301 раз
Поблагодарили: 832 раза
Контактная информация:

Обновления 3-го уровня в Линукс Минт.

Сообщение #19 Chocobo » 18 мар 2017, 19:25

dworg1, По этой причине обновления 5-го уровня актуальны тогда, когда проблемы присуствуют :blink:
Иначе присутствует возможность их огрести.

Было как-то, после подобного минорного обновления ядра dmesg пополнился ошибками от acpi, а система стала загружаться на треть дольше по времени - откат на предыдущую версию все нормализовал.
Изображение

dworg1
Сообщения: 7
Зарегистрирован: 22 фев 2017, 16:53
Поблагодарили: 1 раз
Контактная информация:

Обновления 3-го уровня в Линукс Минт.

Сообщение #20 dworg1 » 18 мар 2017, 21:19

Chocobo писал(а):По этой причине обновления 5-го уровня актуальны тогда, когда проблемы присуствуют :blink:
Иначе присутствует возможность их огрести.

Было как-то, после подобного минорного обновления ядра dmesg пополнился ошибками от acpi, а система стала загружаться на треть дольше по времени - откат на предыдущую версию все нормализовал.


Полностью согласен в случае рабочих машин.

Но поскольку возможность загрузки ядра предыдущих версий предусмотрена, то дома можно и обновить систему. Плюс, для большей осторожности такие обновления можно ставить с месяц после релиза, давая девелоперам время отозвать или исправить в случае проблем.


Вернуться в «Вопрос новичка и FaQ»

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и 1 гость